Close W/O as Complete

POSThttps://staging.x1.temprapp.com/api/v3/work-orders/{workOrder}/complete

Completes the work order and returns the current project balance due plus saved card payment methods.

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workOrderintegerrequired

Body

work_order_item_idsarray<integer>

Optional subset of work-order item ids to commit during completion. Defaults to all work-order items.

Response

application/json

Work order completed.

messagestringrequired
work_orderobjectrequired
work_order.idintegerrequired
work_order.prefixed_idstringrequired
work_order.statestringrequired
project_balance_duenumber<float>required
payment_methods_on_filearray<object>required
payment_methods_on_file.idstringrequired
payment_methods_on_file.labelstringrequired
payment_methods_on_file.typestringrequired
Close W/O as Complete — Tempr API Docs